%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           onboard
Version:        0.91.2
Release:        3%{?dist}
Summary:        Simple on-screen Keyboard

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://launchpad.net/onboard/
Source0:        http://launchpad.net/%{name}/trunk/0.91/+download/%{name}-%{version}.tar.gz
#According the content of the trunk will the .desktop files be integrated in the next release
Source1:        %{name}.desktop
Source2:        %{name}-settings.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  pygtk2-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  desktop-file-utils
#BuildRequires:  gettext

Requires:       pycairo
Requires:       python-virtkey


%description
An on-screen keyboard useful on tablet PCs or for mobility impaired users.

%prep
%setup -q -c


%build
python ./setup.py build


%install
rm -rf %{buildroot}
./setup.py install -O1 --skip-build --root=%{buildroot}
#fix wrong permissons
for file in %{buildroot}%{python_sitelib}/Onboard/{settings,settings-dialog,Keyboard,utils}.py; do
   chmod a+x $file
done

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING docs/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}/
%{python_sitelib}/Onboard/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Sat Dec 13 2008 Fabian Affolter <fabian@bernewireless.net> 0.91.2-3
- Clean-up
- gnome-python2 removed
- Fixed issues from Comment #2 in #472027

* Mon Dec 08 2008 Parag Nemade <panemade@gmail.com> 0.91.2-2
- spec cleanup 

* Tue Nov 17 2008 Fabian Affolter <fabian@bernewireless.net> 0.91.2-1
- Initial package for Fedora
